CVE-2022-40146

NameCVE-2022-40146
DescriptionServer-Side Request Forgery (SSRF) vulnerability in Batik of Apache XML Graphics allows an attacker to access files using a Jar url. This issue affects Apache XML Graphics Batik 1.14.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
Debian Bugs1020589

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
batik (PTS)buster1.10-2+deb10u1vulnerable
bullseye1.12-4vulnerable
bookworm, sid1.15+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
batiksource(unstable)1.15+dfsg-11020589

Notes

[bullseye] - batik <no-dsa> (Minor issue)
[buster] - batik <no-dsa> (Minor issue)
https://www.openwall.com/lists/oss-security/2022/09/22/3
https://issues.apache.org/jira/browse/BATIK-1335
http://svn.apache.org/viewvc?view=revision&revision=1903910

Search for package or bug name: Reporting problems